

const require_TypedArrayEncoder = require('../../../../../utils/TypedArrayEncoder.js');
require('../../../../../utils/index.js');

//#region src/modules/kms/jwk/kty/okp/okpPublicKey.ts
function okpPublicJwkToPublicKey(publicJwk) {
	return Uint8Array.from(require_TypedArrayEncoder.TypedArrayEncoder.fromBase64(publicJwk.x));
}
function okpPublicKeyToPublicJwk(publicKey, crv) {
	return {
		kty: "OKP",
		crv,
		x: require_TypedArrayEncoder.TypedArrayEncoder.toBase64URL(publicKey)
	};
}

//#endregion
exports.okpPublicJwkToPublicKey = okpPublicJwkToPublicKey;
exports.okpPublicKeyToPublicJwk = okpPublicKeyToPublicJwk;